package com.fs.aiTongueApi.service;

import com.fs.aiTongueApi.domain.AITongueResult;
import com.fs.aiTongueApi.domain.QueryAiTongue;
import com.fs.aiTongueApi.domain.QueryQuanXi;
import com.fs.aiTongueApi.domain.inner.ConfidenceData;
import com.fs.aiTongueApi.domain.inner.TongueData;

public interface AiTongueService {
    AITongueResult<TongueData> getHistoryTongue(QueryAiTongue queryAiTongue);

    AITongueResult<ConfidenceData> checkTongue(String url);

    AITongueResult<TongueData> quanXiTongue(QueryQuanXi queryQuanXi);
}
